/*
 * @Date: 2023-02-15 11:35:56
 * @LastEditors: zhujiewen 948226125@qq.com
 * @LastEditTime: 2023-02-15 11:38:30
 * @FilePath: /ui-library/src/elementPlugin/index.js
 */
import AITable from './AI-Table/index.vue';

const components = [AITable];
/*
 *  install的固定写法
 */
const install = (Vue) => {
  if (install.installed) return; // 判断是否安装注册过
  components.forEach((component) => Vue.component(component.name, component)); // 遍历并注册组件
};

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue); // window中有Vue时去install()
}

export default {
  install,
};
